Templates or saveability/loadability in the color stretches (custom color maps)?

2007-11-13 12:04 PM - yury_t -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10864

Description

Is there any way to make color stretches saveable/loadable? Possibly,

the "Classify" parameters (palette?) saveable/loadable, too? Or would

the Classify templates be feasible?

Right now doing the customized stretch is lots of work, the result

isn't transferrable, and occasional hit of "Claassify" button resets

everything in the stretch.

History

#1 - 2008-08-25 04:51 PM - ersts -

- Resolution set to fixed

- Status changed from Open to Closed

You can now save your color maps as a textfile. It is a very simple format and could be edited or created by hand if a user wants

The structure of the file is:

    1. {COMMENTS}

INTERPOLATION: {Method = INTERPOLATED, DISCRETE, EXACT}{PixelValue},{RedValue 0-255},{GreenValue 0-255},{Blue 0-255},{Alpha

0-255}, {Label}{PixelValue},{RedValue 0-255},{GreenValue 0-255},{Blue 0-255},{Alpha 0-255}, {Label}{PixelValue},{RedValue 0-255},{GreenValue

0-255},{Blue 0-255},{Alpha 0-255}, {Label}

...

Where values inside {} are numbers or strings.

#2 - 2008-08-26 01:00 AM - Maciej Sieczka -

GDAL is able to create and interpret a colortable in an XML file, for any raster. Would it be possible to use this format instead of introducing QGIS's own

one?

See the attached [[ArcInfo]] ASCII raster with an external colortable. QGIS renders the raster all nice in colors.

#3 - 2008-09-12 11:50 AM - ersts -

I would prefer to not look at this as one format or another. I would rather see an enhancement request for QGIS being able import and export several

different types of color maps/gradient formats - as there are some nice features in each but not all are 100% compatible - for example, class label support.

Currently QGIS will read/load any initial color map provided by GDAL for a band.
#4 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

slope.tar.bz2 20.8 KB 2008-08-25 Maciej Sieczka -
